Find by ID
curl --request GET \
--url https://api.themoviedb.org/3/find/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/find/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/find/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/find/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/find/{external_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/find/{external_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/find/{external_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"movie_results": [
{
"adult": false,
"backdrop_path": "/44immBwzhDVyjn87b3x3l9mlhAD.jpg",
"id": 934433,
"title": "Scream VI",
"original_language": "en",
"original_title": "Scream VI",
"overview": "Following the latest Ghostface killings, the four survivors leave Woodsboro behind and start a fresh chapter.",
"poster_path": "/wDWwtvkRRlgTiUr6TyLSMX8FCuZ.jpg",
"media_type": "movie",
"genre_ids": [
27,
9648,
53
],
"popularity": 853.917,
"release_date": "2023-03-08",
"video": false,
"vote_average": 7.388,
"vote_count": 708
}
],
"person_results": [],
"tv_results": [],
"tv_episode_results": [],
"tv_season_results": []
}FIND
Find by ID
This endpoint find data by external ID’s.
GET
/
find
/
{external_id}
Find by ID
curl --request GET \
--url https://api.themoviedb.org/3/find/{external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/find/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/find/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/find/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/find/{external_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/find/{external_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/find/{external_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"movie_results": [
{
"adult": false,
"backdrop_path": "/44immBwzhDVyjn87b3x3l9mlhAD.jpg",
"id": 934433,
"title": "Scream VI",
"original_language": "en",
"original_title": "Scream VI",
"overview": "Following the latest Ghostface killings, the four survivors leave Woodsboro behind and start a fresh chapter.",
"poster_path": "/wDWwtvkRRlgTiUr6TyLSMX8FCuZ.jpg",
"media_type": "movie",
"genre_ids": [
27,
9648,
53
],
"popularity": 853.917,
"release_date": "2023-03-08",
"video": false,
"vote_average": 7.388,
"vote_count": 708
}
],
"person_results": [],
"tv_results": [],
"tv_episode_results": [],
"tv_season_results": []
}| Source | Movies | TV Shows | TV Seasons | TV Episodes | People |
|---|---|---|---|---|---|
| IMDb | ✅ | ✅ | ✅ | ✅ | |
| ✅ | ✅ | ✅ | |||
| ✅ | ✅ | ✅ | |||
| TheTVDB | ✅ | ✅ | ✅ | ||
| TikTok | ✅ | ✅ | ✅ | ||
| ✅ | ✅ | ✅ | |||
| Wikidata | ✅ | ✅ | ✅ | ✅ | ✅ |
| YouTube | ✅ | ✅ | ✅ |
Authorizations
Query Parameters
Response
200 - application/json
Successful